Bug 6380 - an ordinary user can crash the system
an ordinary user can crash the system
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-26 08:50 EDT by vnummela
Modified: 2014-03-16 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-15 08:30:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vnummela 1999-10-26 08:50:07 EDT
With the netscape 4.7 installed from
netscape-common-4.7-1.1.i386.rpm
and netscape-communicator-4.7-1.1.i386.rpm any user can
crash the system: Just by trying to enter new mail. When the
user cliks on "new message" or "reply" nothing happens a few
seconds and after that the whole Linux freezes. This didn't
happen on netscape 4.6. I also tried this on several
machines with slightly different setups.
Comment 1 Bill Nottingham 1999-10-26 10:57:59 EDT
I can't reproduce this here. Clicking on "new message", or
reply, or other things of that sort pops up the message
composition window just fine. Does it persist if you remove
your ~/.netscape directory?

------- Additional Comments From   10/26/99 13:15 -------
Yes it does. It even happens if I create a new user account. The only
things in common for all the systems are RedHat 6.0, netscape 4.7 and
kernel 2.2.12.
Comment 2 Bill Nottingham 1999-10-27 16:14:59 EDT
Hmm... can't reproduce it here, with the same packages.
What X server are you using?  Can you switch consoles at all?
Comment 3 vnummela 1999-10-28 00:20:59 EDT
I use XFree86-SVGA-3.3.3.1-52. The system hangs totally (doesn't
respond to any keys, doesn't even answer to ping from network).
Comment 4 Bill Nottingham 1999-10-28 11:43:59 EDT
What graphics card are you using?
Comment 5 vnummela 1999-10-28 12:30:59 EDT
One machine has a 16MB TNT card, some laptops have NeoMagics and some
systems (HP Brio) have some card integrated on the mother board which
I think is S3 Trio64 or somethink like that.
Comment 6 vnummela 1999-12-15 08:30:59 EST
After some debugging we found out that the bug was actually in the nfs system.
The NFS server we used was an older Red Hat nfsd, which didn't support locks (we
use it because the nfsd in newer Red Hats is way too buggy). Netscape tries to
get the flock structure with the F_GETLK -command. This causes the system to
stop responding (if we run the netscape on a different machine we can see lot's
of error messages on the screen, way too fast to be read). We also found a
workaround: We added the "nolocks" mount option. With it netscape seems to work
just fine.

Note You need to log in before you can comment on or make changes to this bug.